# AI_VMSuspend Class Reference

A throw-class that is given when the VM wants to suspend. More...

`#include <ai_instance.hpp>`

## Public Member Functions
| AI_VMSuspend (int time, AISuspendCallbackProc *callback)
int | GetSuspendTime ()
| Get the amount of ticks the AI should be suspended.
AISuspendCallbackProc * | GetSuspendCallback ()
| Get the callback to call when the AI can run again.
## Private Attributes
int | time
| Amount of ticks to suspend the AI.
AISuspendCallbackProc * | callback
| Callback function to call when the AI can run again.

## Detailed Description

A throw-class that is given when the VM wants to suspend.

Definition at line 25 of file ai_instance.hpp.

## Member Function Documentation

AISuspendCallbackProc* AI_VMSuspend::GetSuspendCallback | ( |  | ) | `[inline]`

Get the callback to call when the AI can run again.

Returns:
  The callback function to run.

Definition at line 42 of file ai_instance.hpp.

Referenced by AIInstance::GameLoop().

int AI_VMSuspend::GetSuspendTime | ( |  | ) | `[inline]`

Get the amount of ticks the AI should be suspended.

Returns:
  The amount of AI ticks to suspend the AI.

Definition at line 36 of file ai_instance.hpp.

Referenced by AIInstance::GameLoop().

The documentation for this class was generated from the following file:

- src/ai/ai_instance.hpp